package com.rosetta.messenger.network

class PacketGroupBan : Packet() {
    var groupId: String = ""
    var publicKey: String = ""

    override fun getPacketId(): Int = 0x16

    override fun receive(stream: Stream) {
        groupId = stream.readString()
        publicKey = stream.readString()
    }

    override fun send(): Stream {
        val stream = Stream()
        stream.writeInt16(getPacketId())
        stream.writeString(groupId)
        stream.writeString(publicKey)
        return stream
    }
}
